# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name        = 'mutual_recursion'
  s.version     = '1.0.0'
  s.date        = '2023-07-06'
  s.summary     = 'Mutual Recursion for Ruby'
  s.description = 'Tail call optimization for mutually and directly recursive functions.'
  s.authors     = ['Mike Cifelli']
  s.files       = ['lib/mutual_recursion.rb']
  s.homepage    = 'https://codeberg.org/mike-cifelli/mutual_recursion.git'
  s.license     = 'MIT'
  s.required_ruby_version = '>= 2.6.0'
end
